# StepGeom_KnotType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | StepGeom_KnotType { StepGeom_ktUniformKnots, StepGeom_ktUnspecified, StepGeom_ktQuasiUniformKnots, StepGeom_ktPiecewiseBezierKnots }

## Enumeration Type Documentation

enum StepGeom_KnotType

Enumeration values:

  StepGeom_ktUniformKnots |
  StepGeom_ktUnspecified |
  StepGeom_ktQuasiUniformKnots |
  StepGeom_ktPiecewiseBezierKnots |